# class ISDNQ931IE | A Q.931 ISDN Layer 3 message Information Element. More...
Full name | `TelEngine::ISDNQ931IE`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::NamedList [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { Shift = 0x90, MoreData = 0xa0, SendComplete = 0xa1, Congestion = 0xb0, Repeat = 0xd0, Segmented = 0x00, BearerCaps = 0x04, Cause = 0x08, CallIdentity = 0x10, CallState = 0x14, ChannelID = 0x18, Progress = 0x1e, NetFacility = 0x20, Notification = 0x27, Display = 0x28, DateTime = 0x29, Keypad = 0x2c, Signal = 0x34, ConnectedNo = 0x4c, CallingNo = 0x6c, CallingSubAddr = 0x6d, CalledNo = 0x70, CalledSubAddr = 0x71, NetTransit = 0x78, Restart = 0x79, LoLayerCompat = 0x7c, HiLayerCompat = 0x7d, UserUser = 0x7e, Escape = 0x7f, }

#### Public Methods

- ISDNQ931IE (u_int16_t type)
- virtual ~ISDNQ931IE ()
- inline u_int8_t type () const
- inline void addParamPrefix (const char* name, const char* value)
- void toString (String& dest, bool extendedDebug, const char* before = 0)

#### Public Static Methods

- static inline const char* typeName (int type, const char* defVal = 0)

#### Public Members

- static const TokenDict s_type[]
- DataBlock m_buffer

## Detailed Description

Q.931 ISDN Layer 3 message Information Element

enum Type { Shift = 0x90, MoreData = 0xa0, SendComplete = 0xa1, Congestion = 0xb0, Repeat = 0xd0, Segmented = 0x00, BearerCaps = 0x04, Cause = 0x08, CallIdentity = 0x10, CallState = 0x14, ChannelID = 0x18, Progress = 0x1e, NetFacility = 0x20, Notification = 0x27, Display = 0x28, DateTime = 0x29, Keypad = 0x2c, Signal = 0x34, ConnectedNo = 0x4c, CallingNo = 0x6c, CallingSubAddr = 0x6d, CalledNo = 0x70, CalledSubAddr = 0x71, NetTransit = 0x78, Restart = 0x79, LoLayerCompat = 0x7c, HiLayerCompat = 0x7d, UserUser = 0x7e, Escape = 0x7f, } | ### Type

Keep IE type enumerations. See Q.931 4.5

ISDNQ931IE (u_int16_t type) | ### ISDNQ931IE

Constructor Constructs an unknown IE with raw data

Parameters:

type | The type of this IE

~ISDNQ931IE () | ### ~ISDNQ931IE

[virtual]

Destructor

inline u_int8_t type () | ### type

[const]

Get the type of this IE

Returns: The type of this IE

inline void addParamPrefix (const char* name, const char* value) | ### addParamPrefix

Add a parameter using the IE name as prefix

Parameters:

name | Parameter name
value | Parameter value

void toString (String& dest, bool extendedDebug, const char* before = 0) | ### toString

Put this message into a string for debug purposes

Parameters:

dest | The destination string
extendedDebug | True to add the content of this IE and dump data. If false, only the IE name is added to the destination string
before | Optional string to be added before

Reimplemented from String.

inline const char* typeName (int type, const char* defVal = 0) | ### typeName

[static]

Get the string associated with a given IE type

Parameters:

type | The IE type whose string we want to get
defVal | The value to return if not found

Returns: Pointer to the requested string or defValue

static const TokenDict s_type[] | ### s_type[]

DataBlock m_buffer | ### m_buffer

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.